> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/sbom-reference.md).

# sbomReference

Represents a reference to a package dependency within the SBOM.

### Examples

```graphql
type SbomReference {
  triggerPackage: String
  location: String
  locationLink: String
  dependencyType: String
  dependencyLevel: Int
  commit: SbomCommit
  fileName: String
  declaredConstraint: String
}
```

### Fields

| Field                                                                                           | Description                                                                           | Supported fields                                                                                                 |
| ----------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| triggerPackage `String`                                                                         | The package that triggered the dependency                                             |                                                                                                                  |
| location `String`                                                                               | Location path of the dependency within the SBOM                                       |                                                                                                                  |
| locationLink `String`                                                                           | URL link to the dependency location                                                   |                                                                                                                  |
| dependencyType `String`                                                                         | Type of the dependency                                                                |                                                                                                                  |
| dependencyLevel `Int`                                                                           | Level of the dependency in the dependency graph (distance from root)                  |                                                                                                                  |
| commit [`SbomCommit`](/api-documentation/api-reference/api--issue/types/objects/sbom-commit.md) | Commit information associated with this reference                                     | <p>commitedAt <code>String</code><br>committerName <code>String</code><br>committerEmail <code>String</code></p> |
| fileName `String`                                                                               | File name where the dependency is declared or found                                   |                                                                                                                  |
| declaredConstraint `String`                                                                     | Version constraint declared for the dependency in the manifest file of the reference. |                                                                                                                  |

### References

#### Fields with this object:

* [{} SbomLib.references](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/sbom-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
